#include "CubeMapRenderTechnique.h"


CubeMapRenderTechnique::CubeMapRenderTechnique(unsigned long startFrame,
												unsigned long cubeMapUpdateInterval,
												unsigned int cubeMapResolution,
												bool useDistCalc,
												bool useFaceAngleCalc,
												float distTolerance,
												float angleTolerance,
												bool updateAllFace,
												bool renderSelf,
												bool renderEnvironment,
												int layer,
												ElementaryRenderable* parentRenderable,
												TechniqueGroup* parentTechniqueGroup)
							:RenderTechnique( parentRenderable, parentTechniqueGroup)
{
	this->layer = layer;	
	cubemapLayer = ILLUMRUN_CUBEMAP;

	this->useDistCalc = useDistCalc;
	this->useFaceAngleCalc = useFaceAngleCalc;
	this->distTolerance = distTolerance;
	this->angleTolerance = angleTolerance;	
	this->cubeMapUpdateInterval = cubeMapUpdateInterval;
	this->cubeMapResolution = cubeMapResolution;
	this->startFrame = startFrame;
	this->updateAllFace = updateAllFace;	
	this->renderSelf = renderSelf;	
	this->renderEnvironment = renderEnvironment;
}

void CubeMapRenderTechnique::runChanged(RenderingRunType runType, RenderingRun* run)
{
	if(runType == ILLUMRUN_CUBEMAP)
		cubeMapRunChanged(run);
}
void CubeMapRenderTechnique::runUpdated(RenderingRunType runType, RenderingRun* run)
{
	if(runType == ILLUMRUN_CUBEMAP)
		cubeMapRunUpdated(run);
}

CubeMapRenderTechnique::~CubeMapRenderTechnique()
{

}
